package com.amazon.inputsdk.demo;

import android.app.Activity;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;

import com.amazon.device.inputmapping.input.Input;
import com.amazon.device.inputmapping.input.InputMappingClient;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        requestWindowFeature(Window.FEATURE_NO_TITLE);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);

        InputMappingClient client = Input.getInputMappingClient(this);
        client.setInputMappingProvider(new MyInputMapProvider());

        setContentView(new Game(this));
    }
}